Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia
Class MorphiaEvent.MorphiaEventHandlerAdaptor

    java.lang.Object
      play.modules.morphia.MorphiaEvent.MorphiaEventHandlerAdaptor

All Implemented Interfaces:
  MorphiaEvent.IMorphiaEventHandler

Enclosing class:
  MorphiaEvent

    public static class MorphiaEvent.MorphiaEventHandlerAdaptor

extends Object
implements MorphiaEvent.IMorphiaEventHandler

Constructor Summary
`MorphiaEvent.MorphiaEventHandlerAdaptor()`

Method Summary
`void` | `added(Model context)`
`void` | `batchDeleted(Model.MorphiaQuery context)`
`void` | `deleted(Model context)`
`void` | `loaded(Model context)`
`void` | `onAdd(Model context)`
`void` | `onBatchDelete(Model.MorphiaQuery context)`
`void` | `onDelete(Model context)`
`void` | `onLoad(Model context)`
`void` | `onUpdate(Model context)`
`void` | `updated(Model context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MorphiaEvent.MorphiaEventHandlerAdaptor

    public MorphiaEvent.MorphiaEventHandlerAdaptor()

Method Detail

### onLoad

    public void onLoad(Model context)

  Specified by:
    `onLoad` in interface `MorphiaEvent.IMorphiaEventHandler`

### loaded

    public void loaded(Model context)

  Specified by:
    `loaded` in interface `MorphiaEvent.IMorphiaEventHandler`

### onAdd

    public void onAdd(Model context)

  Specified by:
    `onAdd` in interface `MorphiaEvent.IMorphiaEventHandler`

### onUpdate

    public void onUpdate(Model context)

  Specified by:
    `onUpdate` in interface `MorphiaEvent.IMorphiaEventHandler`

### added

    public void added(Model context)

  Specified by:
    `added` in interface `MorphiaEvent.IMorphiaEventHandler`

### updated

    public void updated(Model context)

  Specified by:
    `updated` in interface `MorphiaEvent.IMorphiaEventHandler`

### onDelete

    public void onDelete(Model context)

  Specified by:
    `onDelete` in interface `MorphiaEvent.IMorphiaEventHandler`

### deleted

    public void deleted(Model context)

  Specified by:
    `deleted` in interface `MorphiaEvent.IMorphiaEventHandler`

### onBatchDelete

    public void onBatchDelete(Model.MorphiaQuery context)

  Specified by:
    `onBatchDelete` in interface `MorphiaEvent.IMorphiaEventHandler`

### batchDeleted

    public void batchDeleted(Model.MorphiaQuery context)

  Specified by:
    `batchDeleted` in interface `MorphiaEvent.IMorphiaEventHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.